[releng] check-lastest-build: Rename build to latest
by Till Maas
commit 46493c046d27e5a6b8b136f0bd97e6664e240d8d
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 21:46:15 2014 +0200
check-lastest-build: Rename build to latest
Also simplify the output.
scripts/check-latest-build.py | 11 +++++------
1 files changed, 5 insertions(+), 6 deletions(-)
---
diff --git a/scripts/check-latest-build.py b/scripts/check-latest-build.py
index 422ee0c..92a3db3 100755
--- a/scripts/check-latest-build.py
+++ b/scripts/check-latest-build.py
@@ -74,18 +74,17 @@ num = len(latest_builds)
log.debug("latest builds=%d", num)
log.debug(str(latest_builds))
-for build in latest_builds:
- latest_evr = (str(build['epoch']), build['version'], build['release'])
+for latest in latest_builds:
+ latest_evr = (str(latest['epoch']), latest['version'], latest['release'])
if args.verbose is True:
- print("pkg = %s" % build['package_name'])
+ print("pkg = %s" % latest['package_name'])
- builds = kojisession.listTagged(args.tag, package=build['package_name'])
+ builds = kojisession.listTagged(args.tag, package=latest['package_name'])
for b in builds:
evr = (str(b['epoch']), b['version'], b['release'])
res = _rpmvercmp(latest_evr, evr)
if res == -1:
- print("\tlatest is %s, but higher exists - %s" % (build['nvr'],
- b['nvr']))
+ print("\t%s < %s" % (latest['nvr'], b['nvr']))
if args.fix is True:
cmd = ["koji", "untag-build", args.tag, b['nvr']]
print("running: " + " ".join(cmd))
9 years, 2 months
[releng] buildbranched/rawhide: Use $MASHDIR
by Till Maas
commit 14d5dcddda258fad3303f3383022a14a7d9163c4
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 18:20:45 2014 +0200
buildbranched/rawhide: Use $MASHDIR
scripts/buildbranched | 16 ++++++++--------
scripts/buildrawhide | 16 ++++++++--------
2 files changed, 16 insertions(+), 16 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 79dbfd9..c034479 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -12,7 +12,7 @@ BRANCHED="21"
DIST=branched
TREEPREFIX="/pub/fedora/linux"
-MASHDIR="/mnt/koji/mash/branched-$DATE"
+MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS="--treename F-$BRANCHED"
MASHOPTS=""
@@ -116,23 +116,23 @@ send_fedmsg start mash.start
log "starting mash"
# Drop privs here so that we run as the masher UID
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o /mnt/koji/mash/branched-$DATE --compsfile $logdir/comps-f$BRANCHED.xml $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/$BRANCHED -o ${MASHDIR} --compsfile $logdir/comps-f$BRANCHED.xml $BRANCHED$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
send_fedmsg done mash.complete
log "finished mash"
log "starting hardlink"
# hardlink the noarch deltarpms between x86_64 and i386
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c ${MASHDIR}/$BRANCHED$EXPANDARCH"
log "finished hardlink"
log "starting repodiff"
mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "rm -f /var/lib/rpm/__db*"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file:///mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/$BRANCHED/source/SRPMS > $logdir/repodiff"
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file://${MASHDIR}/$BRANCHED$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/$BRANCHED/source/SRPMS > $logdir/repodiff"
log "finished repodiff"
log "starting spam-o-matic"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH >$logdir/depcheck" &
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS ${MASHDIR}/$BRANCHED$EXPANDARCH >$logdir/depcheck" &
log "finished spam-o-matic"
send_fedmsg start pungify.start
@@ -179,9 +179,9 @@ send_fedmsg start rsync.start
log "started compose sync"
# data
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --exclude repodata/ /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --exclude repodata/ ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
# repodata & cleanup
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --delete --delete-after /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --delete --delete-after ${MASHDIR}/$BRANCHED$EXPANDARCH/ $DESTPATH
log "finished compose sync"
if [ "$?" = "0" ]; then
@@ -228,7 +228,7 @@ do
elif [ "$koji" = "s390" ]; then
arches=s390,s390x
fi
- scripts/srpm-excluded-arch.py -a $arches --path /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/source/SRPMS/\*/ >$logdir/excludearch-$koji.log
+ scripts/srpm-excluded-arch.py -a $arches --path ${MASHDIR}/$BRANCHED$EXPANDARCH/source/SRPMS/\*/ >$logdir/excludearch-$koji.log
done
send_fedmsg done complete
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 3477b9a..d3e4fad 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -12,7 +12,7 @@ BRANCHED=rawhide
DIST=rawhide
TREEPREFIX="/pub/fedora/linux"
-MASHDIR="/mnt/koji/mash/rawhide-$DATE"
+MASHDIR="/mnt/koji/mash/${DIST}-$DATE"
EXPANDARCH=""
DEPOPTS=""
MASHOPTS=""
@@ -107,23 +107,23 @@ send_fedmsg start mash.start
log "starting mash"
# Drop privs here so that we run as the masher UID
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/rawhide -o /mnt/koji/mash/rawhide-$DATE --compsfile $logdir/comps-rawhide.xml rawhide$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash $MASHOPTS -p $TREEPREFIX/development/rawhide -o ${MASHDIR} --compsfile $logdir/comps-rawhide.xml rawhide$EXPANDARCH > $logdir/mash.log 2>&1" || exit 1
send_fedmsg done mash.complete
log "finished mash"
log "starting hardlink"
# hardlink the noarch deltarpms between x86_64 and i386
-mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/*/os/drpms/"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "hardlink -v -c ${MASHDIR}/rawhide$EXPANDARCH/*/os/drpms/"
log "finished hardlink"
log "starting repodiff"
mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "rm -f /var/lib/rpm/__db*"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file:///mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/rawhide/source/SRPMS > $logdir/repodiff"
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file://${MASHDIR}/rawhide$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/rawhide/source/SRPMS > $logdir/repodiff"
log "finished repodiff"
log "starting spam-o-matic"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH >$logdir/depcheck" &
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS ${MASHDIR}/rawhide$EXPANDARCH >$logdir/depcheck" &
log "finished spam-o-matic"
send_fedmsg start pungify.start
@@ -171,9 +171,9 @@ send_fedmsg start rsync.start
log "started compose sync"
# data
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --exclude repodata/ /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --exclude repodata/ ${MASHDIR}/rawhide$EXPANDARCH/ $DESTPATH
# repodata & cleanup
-$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --delete --delete-after /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/ $DESTPATH
+$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --delete --delete-after ${MASHDIR}/rawhide$EXPANDARCH/ $DESTPATH
log "finished compose sync"
if [ "$?" = "0" ]; then
@@ -220,7 +220,7 @@ do
elif [ "$koji" = "s390" ]; then
arches=s390,s390x
fi
- scripts/srpm-excluded-arch.py -a $arches --path /mnt/koji/mash/rawhide-$DATE/$BRANCHED$EXPANDARCH/source/SRPMS/\*/ >$logdir/excludearch-$koji.log
+ scripts/srpm-excluded-arch.py -a $arches --path ${MASHDIR}/$BRANCHED$EXPANDARCH/source/SRPMS/\*/ >$logdir/excludearch-$koji.log
done
send_fedmsg done complete
9 years, 2 months
[releng] Updated tag rawhide-stable
by Till Maas
The lightweight tag 'rawhide-stable' was updated to point to:
b54c90a... sync buildbranched/rawhide more
It previously pointed to:
cb6d64b... iadd missing " from the end of scriptname definition
NOTE: People pulling from the repository will not get the new tag.
For more information, please see:
http://live.gnome.org/Git/Help/TagUpdates
9 years, 2 months
[releng] sync buildbranched/rawhide more
by Till Maas
commit b54c90af7605ab46a5c3b264e54bd6dc2c20bffc
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 17:21:34 2014 +0200
sync buildbranched/rawhide more
scripts/buildbranched | 17 ++++++++++++-----
scripts/buildrawhide | 9 +++++----
2 files changed, 17 insertions(+), 9 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 623379b..79dbfd9 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -17,7 +17,7 @@ EXPANDARCH=""
DEPOPTS="--treename F-$BRANCHED"
MASHOPTS=""
MOCKCONFIG=fedora-branched-compose-i386
-MAIL="devel@lists.fedoraproject.org,test(a)lists.fedoraproject.org"
+TOMAIL="devel(a)lists.fedoraproject.org test(a)lists.fedoraproject.org"
SUBJECT='F-'$BRANCHED' Branched report: '$DATE' changes'
FROM="Fedora Branched Report <rawhide(a)fedoraproject.org>"
RSYNCPREFIX="sudo -u ftpsync"
@@ -26,9 +26,9 @@ TREEPREFIX="/mnt/koji/tree"
EXPANDARCH="-$ARCH"
DEPOPTS="--treename F-$BRANCHED --nomail"
MASHOPTS="-c /etc/mash/mash.$ARCH.conf"
-MAIL="secondary@lists.fedoraproject.org,$ARCH(a)lists.fedoraproject.org"
+TOMAIL="secondary(a)lists.fedoraproject.org $ARCH(a)lists.fedoraproject.org"
SUBJECT=$ARCH' F-'$BRANCHED' Branched report: '$DATE' changes'
-FROM=$ARCH' Fedora Branched Report <rawhide(a)fedoraproject.org>'
+FROM="${ARCH} Fedora Branched Report <rawhide(a)fedoraproject.org>"
RSYNCPREFIX=""
}
@@ -130,8 +130,10 @@ log "starting repodiff"
mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "rm -f /var/lib/rpm/__db*"
mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -s -q --new=file:///mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/source/SRPMS --old=file://$TREEPREFIX/development/$BRANCHED/source/SRPMS > $logdir/repodiff"
log "finished repodiff"
-mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH >$logdir/depcheck" &
+log "starting spam-o-matic"
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic $DEPOPTS /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH >$logdir/depcheck" &
+log "finished spam-o-matic"
send_fedmsg start pungify.start
@@ -175,10 +177,12 @@ log "finished compose"
send_fedmsg start rsync.start
+log "started compose sync"
# data
$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --exclude repodata/ /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/ $DESTPATH
# repodata & cleanup
$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --link-dest=$TREEPREFIX/development/rawhide/ --delete --delete-after /mnt/koji/mash/branched-$DATE/$BRANCHED$EXPANDARCH/ $DESTPATH
+log "finished compose sync"
if [ "$?" = "0" ]; then
export mail=0
@@ -188,7 +192,10 @@ send_fedmsg done rsync.complete
log "starting sending email report"
if [ "$mail" = "0" ]; then
- cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $MAIL
+ for tomail in "$(echo $TOMAIL)" ; do
+ cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | \
+ mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $tomail
+ done
fi
log "finished sending email report"
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 5b02815..3477b9a 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -28,7 +28,7 @@ DEPOPTS="--nomail"
MASHOPTS="-c /etc/mash/mash.$ARCH.conf"
TOMAIL="secondary(a)lists.fedoraproject.org $ARCH(a)lists.fedoraproject.org"
SUBJECT=$ARCH' rawhide report: '$DATE' changes'
-FROM="$(echo $ARCH) Fedora Rawhide Report <rawhide(a)fedoraproject.org>"
+FROM="${ARCH} Fedora Rawhide Report <rawhide(a)fedoraproject.org>"
RSYNCPREFIX=""
}
@@ -169,12 +169,12 @@ log "finished compose"
send_fedmsg start rsync.start
-log "started rawhide compose sync"
+log "started compose sync"
# data
$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --exclude repodata/ /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/ $DESTPATH
# repodata & cleanup
$RSYNCPREFIX /usr/bin/rsync $RSYNC_OPTS --delete --delete-after /mnt/koji/mash/rawhide-$DATE/rawhide$EXPANDARCH/ $DESTPATH
-log "finished rawhide compose sync"
+log "finished compose sync"
if [ "$?" = "0" ]; then
export mail=0
@@ -185,7 +185,8 @@ send_fedmsg done rsync.complete
log "starting sending email report"
if [ "$mail" = "0" ]; then
for tomail in "$(echo $TOMAIL)" ; do
- cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $tomail
+ cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | \
+ mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $tomail
done
fi
log "finished sending email report"
9 years, 2 months
[releng] buildbranched/rawhide: Remove tabs
by Till Maas
commit 31e833b741fc329da0324dde5b7a32789dad4114
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 17:12:50 2014 +0200
buildbranched/rawhide: Remove tabs
scripts/buildbranched | 34 +++++++++++++++++-----------------
scripts/buildrawhide | 34 +++++++++++++++++-----------------
2 files changed, 34 insertions(+), 34 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 1ae9865..623379b 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright (C) 2012 Red Hat Inc.
-# SPDX-License-Identifier: GPL-2.0+
+# SPDX-License-Identifier: GPL-2.0+
# runs currently on releng03.phx2.fedoraproject.org
@@ -43,8 +43,8 @@ DESTPATH="$TREEPREFIX/development/$BRANCHED/"
# basepath of $0
scriptname="${0##*/}"
[ -z "$DATE" ] && {
- echo "usage: ${scriptname} <date>"
- exit 1
+ echo "usage: ${scriptname} <date>"
+ exit 1
}
TMPDIR=`mktemp -d /tmp/${DIST}.$DATE.XXXX`
@@ -60,20 +60,20 @@ logfile="${logdir}/build${DIST}.log"
touch "${logfile}"
function log()
{
- message="${1}"
- echo "$(date --utc) build${DIST}: ${message}" >> "${logfile}"
+ message="${1}"
+ echo "$(date --utc) build${DIST}: ${message}" >> "${logfile}"
}
function send_fedmsg()
{
- log="${1}"
- topic="${2}"
- # Emit a message using bodhi's cert (since we should be running as "masher").
- echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
- --cert-prefix bodhi \
- --modname compose \
- --topic "${DIST}.${topic}" \
- --json-input
+ log="${1}"
+ topic="${2}"
+ # Emit a message using bodhi's cert (since we should be running as "masher").
+ echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
+ --cert-prefix bodhi \
+ --modname compose \
+ --topic "${DIST}.${topic}" \
+ --json-input
}
log "started"
@@ -85,10 +85,10 @@ log "blocking retired packages"
log "git clone of comps started"
pushd $TMPDIR
git clone git://git.fedorahosted.org/comps.git && {
- pushd comps
- make comps-f$BRANCHED.xml
- cp comps-f$BRANCHED.xml $logdir/
- popd
+ pushd comps
+ make comps-f$BRANCHED.xml
+ cp comps-f$BRANCHED.xml $logdir/
+ popd
}
popd
log "git clone of comps finished"
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 6893250..5b02815 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright (C) 2013 Red Hat Inc.
-# SPDX-License-Identifier: GPL-2.0+
+# SPDX-License-Identifier: GPL-2.0+
# runs currently on releng03.phx2.fedoraproject.org
@@ -43,8 +43,8 @@ DESTPATH="$TREEPREFIX/development/$BRANCHED/"
# basepath of $0
scriptname="${0##*/}"
[ -z "$DATE" ] && {
- echo "usage: ${scriptname} <date>"
- exit 1
+ echo "usage: ${scriptname} <date>"
+ exit 1
}
TMPDIR=`mktemp -d /tmp/${DIST}.$DATE.XXXX`
@@ -60,20 +60,20 @@ logfile="${logdir}/build${DIST}.log"
touch "${logfile}"
function log()
{
- message="${1}"
- echo "$(date --utc) build${DIST}: ${message}" >> "${logfile}"
+ message="${1}"
+ echo "$(date --utc) build${DIST}: ${message}" >> "${logfile}"
}
function send_fedmsg()
{
- log="${1}"
- topic="${2}"
- # Emit a message using bodhi's cert (since we should be running as "masher").
- echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
- --cert-prefix bodhi \
- --modname compose \
- --topic "${DIST}.${topic}" \
- --json-input
+ log="${1}"
+ topic="${2}"
+ # Emit a message using bodhi's cert (since we should be running as "masher").
+ echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
+ --cert-prefix bodhi \
+ --modname compose \
+ --topic "${DIST}.${topic}" \
+ --json-input
}
log "started"
@@ -85,10 +85,10 @@ log "blocking retired packages"
log "git clone of comps started"
pushd $TMPDIR
git clone git://git.fedorahosted.org/comps.git && {
- pushd comps
- make comps-rawhide
- cp comps-rawhide.xml $logdir/
- popd
+ pushd comps
+ make comps-rawhide
+ cp comps-rawhide.xml $logdir/
+ popd
}
popd
log "git clone of comps finished"
9 years, 2 months
[releng] buildrawhide: Remove extra whitespace
by Till Maas
commit adfa17f7f5de36c0144a34208241fa00614c5bbe
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 17:11:41 2014 +0200
buildrawhide: Remove extra whitespace
scripts/buildrawhide | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
---
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 11fc9d9..6893250 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -185,7 +185,7 @@ send_fedmsg done rsync.complete
log "starting sending email report"
if [ "$mail" = "0" ]; then
for tomail in "$(echo $TOMAIL)" ; do
- cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $tomail
+ cat $logdir/start $logdir/depcheck $logdir/repodiff $logdir/finish | mutt -e "set from=\"$FROM\"" -e 'set envelope_from=yes' -s "$SUBJECT" $tomail
done
fi
log "finished sending email report"
9 years, 2 months
[releng] buildbranched/rawhide: Fix send_fedmsg arguments
by Till Maas
commit 3d7f371d3efedef03fffe960ba01e8e4f40fcf08
Author: Till Maas <opensource(a)till.name>
Date: Tue Sep 30 17:05:32 2014 +0200
buildbranched/rawhide: Fix send_fedmsg arguments
scripts/buildbranched | 4 ++--
scripts/buildrawhide | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 2572311..1ae9865 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -66,8 +66,8 @@ function log()
function send_fedmsg()
{
- topic="${1}"
- log="${2}"
+ log="${1}"
+ topic="${2}"
# Emit a message using bodhi's cert (since we should be running as "masher").
echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
--cert-prefix bodhi \
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index f2197ca..11fc9d9 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -66,8 +66,8 @@ function log()
function send_fedmsg()
{
- topic="${1}"
- log="${2}"
+ log="${1}"
+ topic="${2}"
# Emit a message using bodhi's cert (since we should be running as "masher").
echo "{\"log\": \"${log}\", \"branch\": \"$BRANCHED\", \"arch\": \"$ARCH\"}" | fedmsg-logger \
--cert-prefix bodhi \
9 years, 2 months
[releng] Updated tag rawhide-stable
by Dennis Gilmore
The lightweight tag 'rawhide-stable' was updated to point to:
cb6d64b... iadd missing " from the end of scriptname definition
It previously pointed to:
cff1840... We need to use the full path to the script from where it wi
NOTE: People pulling from the repository will not get the new tag.
For more information, please see:
http://live.gnome.org/Git/Help/TagUpdates
9 years, 2 months
[releng] iadd missing " from the end of scriptname definition
by Dennis Gilmore
commit cb6d64ba32056d85e956b4804d72415682076029
Author: Dennis Gilmore <dennis(a)ausil.us>
Date: Tue Sep 30 09:23:08 2014 -0500
iadd missing " from the end of scriptname definition
scripts/buildbranched | 2 +-
scripts/buildrawhide | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
---
diff --git a/scripts/buildbranched b/scripts/buildbranched
index 2647703..2572311 100755
--- a/scripts/buildbranched
+++ b/scripts/buildbranched
@@ -41,7 +41,7 @@ RSYNC_OPTS="-rlptDHhv --delay-updates"
DESTPATH="$TREEPREFIX/development/$BRANCHED/"
# basepath of $0
-scriptname="${0##*/}
+scriptname="${0##*/}"
[ -z "$DATE" ] && {
echo "usage: ${scriptname} <date>"
exit 1
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 674ade9..f2197ca 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -41,7 +41,7 @@ RSYNC_OPTS="-rlptDHhv --delay-updates"
DESTPATH="$TREEPREFIX/development/$BRANCHED/"
# basepath of $0
-scriptname="${0##*/}
+scriptname="${0##*/}"
[ -z "$DATE" ] && {
echo "usage: ${scriptname} <date>"
exit 1
9 years, 2 months